Page MenuHomePhabricator

Micro-task: Make a trivial change to tests/selenium/README.md file of mediawiki/core repository
Closed, ResolvedPublic

Description

NOTE: Make sure you've done T248016: Micro-task: Run Selenium tests on your machine before this task.

The point of this task is to make sure you are able to push commits to Gerrit. It is not at all important what change you make to the file. You can just add an empty line, or change a letter or a word.

Steps:

  • Follow the documentation at https://www.mediawiki.org/wiki/Gerrit/Tutorial to set up your machine to be able to push commits to Gerrit
  • Make a trivial change to tests/selenium/README.md file of mediawiki/core repository
  • Commit message should be:
Make a trivial change to tests/selenium/README.md file

This is Google Summer of Code micro-task.

Bug: T248232

It is important to write good commit messages. Please read Gerrit/Commit message guidelines to learn more.

  • Push the change to Gerrit
  • Add Zfilipin to Assignee

It is very likely you will get confused or stuck. Do not hesitate to ask for help. The best way is to create a subtask of this task and copy/paste as much relevant terminal output as possible. Also mention your operating system (and version) and versions of other relevant tools.

Students:

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2020, 3:16 PM
zeljkofilipin renamed this task from Micro-task: Make a trivial change to tests/selenium/README.md to Micro-task: Make a trivial change to tests/selenium/README.md file of mediawiki/core repository.Mar 21 2020, 3:34 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
Dinp2 added a subscriber: Dinp2.Mar 21 2020, 5:14 PM
Soham added a subscriber: Soham.Mar 21 2020, 5:17 PM

Do we follow a naming convention for naming branches other than master based up on task numbers? @zeljkofilipin

I don't know if there's an official convention, but I do name topic branches with phabricator task number.

@AlQaholic007 : Please do read the documentation which is already linked in the task description. It has a section called "Create a branch".

Change 582553 had a related patch set uploaded (by DannyS712; owner: Dinp2):
[mediawiki/core@master] README.md: Add FFmpeg as a prerequisite for running Selenium tests

https://gerrit.wikimedia.org/r/582553

Change 582557 had a related patch set uploaded (by AdityaJ; owner: AdityaJ):
[mediawiki/core@master] capitalise few headers

https://gerrit.wikimedia.org/r/582557

I have also committed a trivial change to branch AlQaholic007/T248232

Change 582564 had a related patch set uploaded (by DannyS712; owner: AlQaholic007):
[mediawiki/core@master] trivial change to tests/selenium/README.md header

https://gerrit.wikimedia.org/r/582564

Change 582564 abandoned by Zfilipin:
trivial change to tests/selenium/README.md header

Reason:
This was just a test if the student can push to Gerrit.

https://gerrit.wikimedia.org/r/582564

Change 582557 abandoned by Zfilipin:
capitalise few headers

Reason:
This was just a test if the student can push to Gerrit.

https://gerrit.wikimedia.org/r/582557

Change 582553 abandoned by Zfilipin:
README.md: Add FFmpeg as a prerequisite for running Selenium tests

Reason:
This was just a test if the student can push to Gerrit.

https://gerrit.wikimedia.org/r/582553

@AdityaJ @AlQaholic007 @Dinp2 Nice work! 😄 I've abandoned the commits in Gerrit because it wasn't clear to some people why you've pushed such trivial commits. I've updated the task with more instructions for future reference.

Change 583474 had a related patch set uploaded (by Gbahdeyboh; owner: Gbahdeyboh):
[mediawiki/core@REL1_34] Micro-task: Make a trivial change to tests/selenium/README.md file of mediawiki/core repository

https://gerrit.wikimedia.org/r/583474

Change 583474 abandoned by Gbahdeyboh:
Micro-task: Make a trivial change to tests/selenium/README.md file of mediawiki/core repository

https://gerrit.wikimedia.org/r/583474

I've been able to Make a trivial change to tests/selenium/README.md file of mediawiki/core repository

Change 583947 had a related patch set uploaded (by Gaura87; owner: Gaura87):
[mediawiki/core@master] Micro-task: Make a trivial change to tests/selenium/README.md file of mediawiki/core repository

https://gerrit.wikimedia.org/r/583947

Change 583947 abandoned by Zfilipin:
Micro-task: Make a trivial change to tests/selenium/README.md file of mediawiki/core repository

Reason:
Thanks! I'm abandoning this commit since it was used only to see if the user is able to push to gerrit.

https://gerrit.wikimedia.org/r/583947

Change 584267 had a related patch set uploaded (by DannyS712; owner: Vidhi-Mody):
[mediawiki/core@master] modified README

https://gerrit.wikimedia.org/r/584267

Change 584267 abandoned by Zfilipin:
modified README

Reason:
Thanks! I'm abandoning this commit since it was used only to see if the user is able to push to gerrit.

https://gerrit.wikimedia.org/r/584267

Dinp2 removed a subscriber: Dinp2.Apr 3 2020, 11:07 AM
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 5:48 PM
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 5:52 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 5:54 PM
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 5:59 PM

Change 585861 had a related patch set uploaded (by Ashuro07; owner: Ashuro07):
[mediawiki/core@master] Microtask T248232

https://gerrit.wikimedia.org/r/585861

Change 585861 abandoned by Ashuro07:
Microtask T248232

https://gerrit.wikimedia.org/r/585861

zeljkofilipin closed this task as Resolved.Apr 4 2020, 10:42 AM
zeljkofilipin claimed this task.
zeljkofilipin updated the task description. (Show Details)

All students have submitted a patch.

zeljkofilipin updated the task description. (Show Details)Apr 4 2020, 2:50 PM
AdityaJ removed a subscriber: AdityaJ.Apr 4 2020, 3:22 PM